﻿using DotPrologTest.Execution;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.DotProlog.Terms;
using OpcLabs.DotProlog.Test;

namespace DotPrologTest.Predicates.AtomicTermProcessing
{
    [TestClass]
    // ReSharper disable InconsistentNaming
    public class AtomCodes_2_Test : SemiDeterministicPredicateTest
    // ReSharper restore InconsistentNaming
    {
        public AtomCodes_2_Test() : base("atom_codes", 2)
        {
        }

        // ReSharper disable InconsistentNaming

        [TestMethod]
        public void Test1()
        {
            Atom atom = Atom.Add("atom");
            var @string = new Variable();
            Test(atom, @string, new VariableDictionary{{@string, new NList{'a','t','o','m'}}});
        }

        [TestMethod]
        public void Test2()
        {
            var atom = new Variable();
            Term @string = new NList{'a','t','o','m'};
            Test(atom, @string, new VariableDictionary {{atom, Atom.Add("atom")}});
        }

        // ReSharper restore InconsistentNaming
    }
}
