﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.IdentityModel.User;
using OpcLabs.BaseLib.Net;

namespace OpcLabs.BaseLibFactory.IdentityModel.User
{
    static public class KerberosTokenInfoInstances
    {
        [NotNull]
        static public KerberosTokenInfo Instance0 => new KerberosTokenInfo();

        [NotNull]
        static public KerberosTokenInfo Instance1 => new KerberosTokenInfo
        {
            NetworkSecurity = 
            {
                CustomNetworkCredential = true,
                NetworkCredential = new NetworkCredential2("userName1", "password1", "domain1")
            }
        };

        [NotNull]
        static public KerberosTokenInfo Instance2 => new KerberosTokenInfo
        {
            NetworkSecurity =
            {
                CustomNetworkCredential = true,
                NetworkCredential = new NetworkCredential2("userName2", "password2", "domain2")
            }
        };
    }
}
