﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.IdentityModel;
using OpcLabs.BaseLib.IdentityModel.User;
using OpcLabs.BaseLibFactory.IdentityModel.User;

namespace OpcLabs.BaseLibFactory.IdentityModel
{
    static public class TokenInfoCollectionInstances
    {
        [NotNull]
        static public TokenInfoCollection Instance0 => new TokenInfoCollection();

        [NotNull]
        static public TokenInfoCollection Instance1 => new TokenInfoCollection { AnonymousTokenInfo.Configured };

        [NotNull]
        static public TokenInfoCollection Instance2 => new TokenInfoCollection { AnonymousTokenInfo.Configured, KerberosTokenInfoInstances.Instance1, UserNameTokenInfoInstances.Instance1, X509CertificateTokenInfoInstances.Instance1 };
    }
}
