﻿
using System;
using JetBrains.Annotations;
using OpcLabs.BaseLib;

namespace OpcLabs.BaseLibFactory
{
    static public class Int64RangeInstances
    {
        [NotNull]
        static public Int64Range Instance0 => Int64Range.Create(0, 0);

        [NotNull]
        static public Int64Range Instance1 => Int64Range.Create(0, 1);

        [NotNull]
        static public Int64Range Instance2 => Int64Range.Create(1, 2);

        [NotNull]
        static public Int64Range Instance3 => Int64Range.Create(1000, 2000);

        [NotNull]
        static public Int64Range Instance4 => Int64Range.Create(1001, Int64.MaxValue);

        [NotNull]
        static public Int64Range Instance5 => Int64Range.Create(-2002, -1002);

        [NotNull]
        static public Int64Range Instance6 => Int64Range.Create(-2003, 1003);

        [NotNull]
        static public Int64Range Instance7 => Int64Range.Create(Int64.MinValue, -1004);

        [NotNull]
        static public Int64Range Instance8 => Int64Range.Create(Int64.MinValue, 1005);

        [NotNull]
        static public Int64Range Instance9 => Int64Range.Create(-1006, Int64.MaxValue);

        [NotNull]
        static public Int64Range Instance10 => Int64Range.Create(Int64.MinValue, Int64.MaxValue);
    }
}
