﻿
using System;
using JetBrains.Annotations;

namespace OpcLabs.BaseLibFactory
{
    static public class ObjectInstances
    {
        static public Double Double => 0.8;

        static public Int32 Int8 => -8;

        static public Int32 Int32 => -32;

        static public Int64 Int64 => -64;

        static public Single Single => 0.4f;

        [NotNull]
        static public string String => StringInstances.Alpha;

        static public UInt32 UInt32 => 32;

        // IMPROVE: have more
    }
}
