﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UANetworkServerDiscoveryQueryInstances
    {
        [NotNull]
        static public UANetworkServerDiscoveryQuery Instance0 => new UANetworkServerDiscoveryQuery();

        [NotNull]
        static public UANetworkServerDiscoveryQuery Instance1 => new UANetworkServerDiscoveryQuery("testDiscoveryHost");
        
        [NotNull]
        static public UANetworkServerDiscoveryQuery Instance2 => new UANetworkServerDiscoveryQuery("testDiscoveryHost", new [] { "first", "second"});
    }
}
