﻿
using System;
using System.Diagnostics.CodeAnalysis;
using JetBrains.Annotations;
using OpcLabs.BaseLib.Extensions.Internal;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class UAExceptionInstances
    {
        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UAException Instance1 => new UAException(
            // ReSharper disable once LocalizableElement
            "TestMessage1", 
            new ApplicationException("InnerException2"));

        [SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UAException Instance2 => new UAException(
            // ReSharper disable once LocalizableElement
            "TestMessage3",
            new ApplicationException("InnerException3")).SetErrorId("-333");
    }
}
