﻿
using OpcLabs.BaseLibFactory.DataTypeModel;
using OpcLabs.EasyOpc.UA.ComplexData;
using OpcLabs.EasyOpc.UA.Plugins.ComplexData;
using OpcLabs.EasyOpcFactory.UA.Modelling;

namespace OpcLabs.EasyOpcFactory.UA.Plugins.ComplexData
{
    static public class UAGenericObjectInstances
    {
        static public UAGenericObject Instance1 => new UAGenericObject(EnumerationDataInstances.Instance1);

        static public UAGenericObject Instance2 => new UAGenericObject(
            EnumerationDataInstances.Instance1,
            UAModelNodeDescriptorInstances.Instance1);

        static public UAGenericObject Instance3 => new UAGenericObject(
            null,
            UAModelNodeDescriptorInstances.Instance2);

        static public UAGenericObject Instance4 => new UAGenericObject(
            OpaqueDataInstances.Instance1,
            UAModelNodeDescriptorInstances.Instance3);
    }
}
