﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpcFactory.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class EasyUAClientInstances
    {
        [NotNull]
        static public EasyUAClient Instance0 => new EasyUAClient();

        [NotNull]
        static public EasyUAClient Instance1 => new EasyUAClient
        {
            InstanceParameters = EasyUAInstanceParametersInstances.Instance1,
            IsolatedParameters = EasyUAAdaptableParametersInstances.Instance1,
            Isolated = true,
        };
    }
}
