﻿// $Header: GreenhouseNode.cs 20120904 10:23 AM zbynekz $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

using System;
using System.Diagnostics.CodeAnalysis;
using OpcLabs.BaseLib.Annotations;
using OpcLabs.EasyOpc.DataAccess.LiveMapping;

namespace OpcLabs.EasyOpcLiveTest.Legacy.Environment.OpcKitServer
{
    [Designable(false)]
    [SuppressMessage("OpcLabs.VSI", "CX5213:ExpandableObjectConverterImpliesDesignable")]
    public class GreenhouseNode : DAMappedNode
    {
        [DANode, DAItem]
        public virtual Int16 Humidity { get; set; }

        [DANode, DAItem]
        public virtual Int16 RoofOpen { get; set; }

        [DANode, DAItem]
        public virtual Int16 Sprinklers { get; set; }

        [DANode, DAItem]
        public virtual Single Temperature { get; set; }
    }
}
