﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class UnionDataTypeInstances
    {

        [NotNull]
        static public UnionDataType IncompleteInstance1 => new UnionDataType("aName5", "aFullName5")
        {
            DataFieldInstances.Instance3,
            DataFieldInstances.Instance2,
            DataFieldInstances.IncompleteInstance1,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance5
        };

        [NotNull]
        static public UnionDataType IncompleteInstance2 => new UnionDataType("aName5", "aFullName5")
        {
            DataFieldInstances.Instance1,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance3,
            DataFieldInstances.IncompleteInstance2,
            DataFieldInstances.Instance5
        };

        [NotNull]
        static public UnionDataType Instance0 => new UnionDataType();

        [NotNull]
        static public UnionDataType Instance1 => new UnionDataType("aName");

        [NotNull]
        static public UnionDataType Instance2 => new UnionDataType("aName2", "aFullName2");

        [NotNull]
        static public UnionDataType Instance3 => new UnionDataType("aName3", "aFullName3")
        {
            Description = "aDescription"
        };

        [NotNull]
        static public UnionDataType Instance4 => new UnionDataType("aName4", "aFullName4")
        {
            DataFieldInstances.Instance1
        };

        [NotNull]
        static public UnionDataType Instance5 => new UnionDataType("aName5", "aFullName5")
        {
            DataFieldInstances.Instance1,
            DataFieldInstances.Instance2,
            DataFieldInstances.Instance3,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance5
        };
    }
}
