﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Forms.Browsing.Generalized;

namespace OpcLabs.BaseLibFactory.Forms.Browsing
{
    static public class BrowseModeInstances
    {
        [NotNull]
        static public BrowseMode Instance1 => new BrowseMode
        {
            ManualNodes = false,
            MultiSelect = false,
            ShowListBranches = false
        };

        [NotNull]
        static public BrowseMode Instance2 => new BrowseMode
        {
            ManualNodes = true,
            MultiSelect = true,
            ShowListBranches = true
        };
    }
}
