﻿using System;
using System.IO;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.OperationModel;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.OperationModel
{
    static public class EasyAENotificationEventArgsInstances
    {
        [NotNull]
        static public EasyAENotificationEventArgs Instance0 => new EasyAENotificationEventArgs();

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public EasyAENotificationEventArgs Instance1 => new EasyAENotificationEventArgs
        {
            AcknowledgedChanged = true,
            ActiveChanged = true,
            Arguments = EasyAEEventsSubscriptionArgumentsInstances.Instance1,
            AttributeChanged = true,
            ChangeMask = 0xAA,
            Diagnostics = {new ApplicationException("Diagnostics1", new IOException("Diagnostics2"))},
            EnabledChanged = true,
            ErrorId = "11",
            ErrorMessage = "testMessage",
            EventData = AEEventDataInstances.ConditionInstance1,
            Exception = new COMException("TestMessage2"),
            MessageChanged = true,
            QualityChanged = true,
            Refresh = true,
            RefreshComplete = true,
            SeverityChanged = true,
            SubconditionChanged = true,
        };
    }
}
