﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;
using OpcLabs.EasyOpc.AlarmsAndEvents.OperationModel;
using OpcLabs.EasyOpc.AlarmsAndEvents.Reactive;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents.OperationModel;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.Reactive
{
    static public class AENotificationObservableInstances
    {
        [NotNull]
        static public AENotificationObservable Instance0 => 
            new AENotificationObservable(
                EasyAEClientSelector.Default, 
                new AEEventsSubscriptionArguments[0]);

        [NotNull]
        static public AENotificationObservable Instance1 => 
            new AENotificationObservable(
                EasyAEClientSelectorInstances.Instance1, 
                new AEEventsSubscriptionArguments[0]);

        [NotNull]
        static public AENotificationObservable Instance2 =>
            new AENotificationObservable(
                EasyAEClientSelectorInstances.Instance1,
                new []
                {
                    new AEEventsSubscriptionArguments(),
                    AEEventsSubscriptionArgumentsInstances.Instance1
                });
    }
}
