﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess.Engine
{
    static public class EasyDAInstanceParametersInstances
    {
        [NotNull]
        static public EasyDAInstanceParameters Instance1 => new EasyDAInstanceParameters
        {
            Mode = EasyDAClientModeInstances.Instance1,
            HoldPeriods = EasyDAClientHoldPeriodsInstances.Instance1,
            Timeouts = EasyDAClientTimeoutsInstances.Instance1,
        };
    }
}
