﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Navigation.Parsing;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;

namespace OpcLabs.EasyOpcFactory.UA.Parsing
{
    static public class UABrowsePathParserInstances
    {

        [NotNull]
        static public UABrowsePathParser Instance1 => new UABrowsePathParser(UABrowsePathParsingFlags.None, UABrowsePathInstances.Instance1, null);

        [NotNull]
        static public UABrowsePathParser Instance2 => new UABrowsePathParser(UABrowsePathParsingFlags.ExtendedSyntax, UABrowsePathInstances.Instance2, "TestNamespace2");
    }
}
