﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.Discovery;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;
using OpcLabs.EasyOpcFactory.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UANodeIdUAApplicationElementDictionaryInstances
    {
        [NotNull]
        static public UANodeIdUAApplicationElementDictionary Instance1 =
            new UANodeIdUAApplicationElementDictionary
            {
                {UANodeId.Null, new UAApplicationElement()},
            };

        [NotNull] static public UANodeIdUAApplicationElementDictionary Instance2 =
            new UANodeIdUAApplicationElementDictionary
            {
                {UANodeId.Null, new UAApplicationElement()},
                {UANodeIdInstances.NumericIdentifier_Positive, UAApplicationElementInstances.Instance1}
            };
    }
}
