﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UANodeDescriptorInstances
    {

        [NotNull]
        static public UANodeDescriptor Instance1 => new UANodeDescriptor("nsu=testExpandedNodeIdText1;s=testString1");

        [NotNull]
        static public UANodeDescriptor Instance2 => new UANodeDescriptor(UABrowsePathInstances.Instance2);

        [NotNull]
        static public UANodeDescriptor Instance3 => new UANodeDescriptor(UAObjectIds.Server, UABrowsePathInstances.Instance2);
    }
}
