﻿using System;
using System.ServiceModel;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace OpcLabs.BaseLibTest.Platform.ServiceModel
{
    [TestClass]
    public class EndpointAddressTest
    {
        [ExpectedException(typeof(ArgumentNullException))]
        [TestMethod]
        public void CtorTest_String_Null()
        {
            // ReSharper disable once AssignNullToNotNullAttribute
            // ReSharper disable once ObjectCreationAsStatement
            new EndpointAddress((string)null);
        }

        [ExpectedException(typeof(UriFormatException))]
        [TestMethod]
        public void CtorTest_String_Empty()
        {
            // ReSharper disable once ObjectCreationAsStatement
            new EndpointAddress("");
        }
    }
}
