﻿
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    [TestClass]
    public partial class EasyDAClientTestBase
    {
        #region Protected Properties

        protected virtual bool ClientSupportsCom => true;

        [NotNull]
        protected DALiveTestEnvironment TestEnvironment => DALiveTestEnvironment.Current;

        #endregion



        #region Protected Methods

        [NotNull]
        protected virtual EasyDAClient CreateClient() => new EasyDAClient();

        #endregion
    }
}
