﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpcLiveTest.DataAccess;
using SimulatedEasyDAClient = OpcLabs.EasyOpc.DataAccess.Internal.SimulatedEasyDAClient;

namespace OpcLabs.EasyOpcLiveTest.Legacy.DataAccess
{
    class SimulatedEasyDAClientTest
    {
        [TestClass]
        // ReSharper disable once InconsistentNaming
        public class SimulatedDAClientCatalogTest_IEasyDAClient_Functional : IEasyDAClientCatalogTest_Functional
        {
            public SimulatedDAClientCatalogTest_IEasyDAClient_Functional()
                : base(() => SimulatedEasyDAClient.Sample, new DAServerCatalog(DAServerCatalogEntries.Simulated))
            {
            }
        }

        [TestClass]
        // ReSharper disable once InconsistentNaming
        public class SimulatedDAClientTest_IEasyDAClient_Intrinsic : IEasyDAClientTest_Intrinsic
        {
            public SimulatedDAClientTest_IEasyDAClient_Intrinsic()
                : base(() => SimulatedEasyDAClient.Sample)
            {
            }
        }
    }
}
